/* Modal Dialogs */

$mdborder_color: if($variant =='light', rgba(black, 0.15), rgba(black, 0.75));

.headline {
  @include font(title);
}

.modal-dialog {
  border-radius: 20px + $container_padding;
  color: $fg_color;
  background-color: $base_color;
  border: 0 none $mdborder_color;
  box-shadow: inset 0 1px rgba(white, 0.1);

  .modal-dialog-content-box {
    margin: 32px 40px;
    spacing: 32px;
    max-width: 28em;
    background-color: $base_color;
  }

  .modal-dialog-linked-button {
    min-height: 40px;
    padding: 0 16px;
    @extend %bubble_button;
  }
}

/* End Session Dialog */
.end-session-dialog {
  width: 30em;
  // border: 2px solid $mdborder_color;

  .modal-dialog-linked-button:last-child {
    color: white;
    background-color: $destructive_color;

    &:hover {
      color: white;
      background-color: lighten($destructive_color, 9%);
    }

    &:active {
      color: white !important;
      background-color: darken($destructive_color, 5%);
    }
  }

  .end-session-dialog-battery-warning,
  .dialog-list-title {
    color: $warning_color;
  }
}

/* Message Dialog */
.message-dialog-content {
  spacing: 18px;

  .message-dialog-title {
    text-align: center;
    font-size: 18pt;
    font-weight: 800;

    &.lightweight {
      font-size: 13pt;
      font-weight: 800;
    }
  }

  .message-dialog-description {
    text-align: center;
  }
}

/* Dialog List */
.dialog-list {
  spacing: 18px;

  .dialog-list-title {
    text-align: center;
    font-weight: bold;
  }

  .dialog-list-scrollview {
    max-height: 200px;
  }

  .dialog-list-box {
    spacing: 1em;

    .dialog-list-item {
      spacing: 1em;

      .dialog-list-item-title {
        font-weight: bold;
      }

      .dialog-list-item-description {
        color: $secondary_fg_color;
        @include font(title);
      }
    }
  }
}

/* Run Dialog */
.run-dialog {
  .modal-dialog-content-box {
    margin-top: 24px;
    margin-bottom: 14px;
  }

  .run-dialog-entry {
    width: 20em;
  }

  .run-dialog-description {
    @include font(subheading);
    text-align: center;
    color: $hint_fg_color;
  }
}

/* Password or Authentication Dialog */

.prompt-dialog {
  width: 28em;

  .modal-dialog-linked-button:first-child {
    color: $destructive_color;

    &:active {
      color: white !important;
      background-color: $destructive_color;
    }
  }

  .modal-dialog-linked-button:last-child {
    color: white;
    background-color: $suggested_color;

    &:hover {
      color: white;
      background-color: lighten($suggested_color, 9%);
    }

    &:active {
      color: white !important;
      background-color: darken($suggested_color, 5%);
    }

    &:insensitive {
      color: rgba($suggested_color, 0.5);
      background-color: rgba($suggested_color, 0.15);
    }
  }

  .modal-dialog-content-box {
    margin-bottom: 24px;
    background-color: $base_color;
  }
}

.prompt-dialog-password-grid {
  spacing-rows: 8px;
  spacing-columns: 4px;

  .prompt-dialog-password-entry {
    width: auto;

    // 4px (spacing) + 16px (spinner-width)
    &:ltr {
      margin-left: 20px;
    }

    &:rtl {
      margin-right: 20px;
    }
  }
}

.prompt-dialog-password-layout {
  spacing: 8px;
}

.prompt-dialog-password-entry {
  width: 20em;
}

.prompt-dialog-error-label,
.prompt-dialog-info-label,
.prompt-dialog-null-label {
  text-align: center;
  @include font(title);
}

.prompt-dialog-error-label {
  color: $warning_color;
}


/* Polkit Dialog */

.polkit-dialog-user-layout {
  text-align: center;
  spacing: 8px;
  margin-bottom: 6px;

  .polkit-dialog-user-root-label {
    color: $warning_color;
  }
}

/* Audio selection dialog */
.audio-device-selection-dialog {
  .modal-dialog-content-box {
    margin-bottom: 28px;
  }

  .audio-selection-box {
    spacing: 20px;
  }
}

.audio-selection-device {
  border: 1px solid $border_color;
  border-radius: $buttons_radius;

  &:active,
  &:hover,
  &:focus {
    background-color: $primary_color;
  }
}

.audio-selection-device-box {
  padding: 20px;
  spacing: 20px;
}

.audio-selection-device-icon {
  icon-size: 64px;
}

/* Welcome dialog */
.welcome-dialog-image {
  background-image: url("resource:///org/gnome/shell/theme/gnome-shell-start.svg");
  background-size: contain;
  /* Reasonable maximum dimensions */
  height: 300px;
  width: 300px;
}